Category: integration Estimated time: 0.00 hour
Target version:
Description

Assuming a monitored process periodically produces a CPU usage peak. This peak will get noticed by the dbadapter correctly for
each produced measurement, but it might get lost in graphite in case the adapter is faster than the configured first retention policy.
This can happen because due to timings, the adapter might report something like (0 100% 0 100% 0 100%...) at a higher frequency
than the first retention setting and it seems that graphite only takes an arbitrary measurement (and not the average?) in case multiple
readings arrive within the specified time frame.

Related issues:
Related to RSB Performance Monitoring - Tasks # 2329: Make derivative calcula... Resolved 06/26/2015

History
#1 - 06/29/2015 01:25 PM - J. Wienke
- Related to Tasks #2329: Make derivative calculation the default added

#2 - 06/29/2015 02:09 PM - J. Wienke

https://graphite.readthedocs.org/en/latest/whisper.html specifies:

Whisper requires that metric updates occur at the same interval as the finest resolution storage archive

This pushes the onus of aggregating values to fit into the finest precision archive to the user rather than the database. It also means that updates
are written immediately into the finest precision archive rather than being staged first for aggregation and written later (during a subsequent write
operation) as they are in RRD.

Therefore, only the user can ensure this by calling the monitoring programs appropriately. Added to the wiki page: [[Dashboard_Pipeline_Setup]].

#3 - 06/29/2015 02:09 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

#4 - 06/29/2015 02:09 PM - J. Wienke
- Subject changed from Differential processing may result in wrong timer series data in case of diverging cycle times to Differential processing may 
result in wrong time series data in case of diverging cycle times
